com.corticon.eclipse.core

## Interface IScrollableMessageDelegate

-     public interface IScrollableMessageDelegate

  Interface IScrollableMessageDelegate represents an abstract GUI modal dialog that displays a scrolling message to the user. GUI platforms can register their own implementation with the model API.
  The implementing delegate must have the capacity to display a window with a heading field above a scrolling text area. The scrolling text area should enable both vertical and horizontal sliders. The text area should honor carriage return characters (\n) and display line breaks as needed.
  The delegate should provide functions to show and hide the dialog window. During initialization, the window should be invisible, and turned visible via method displayWindow().
  The delegate must also support the optional ability to copy the scrollable text to the system clipboard (this function is enabled via function setCopyButtonVisible(true).
  The delegate must also support optional "editing" of the scrolling area. This allows the user to option of changing the body text. For this reason, the delegate must also implement method getBodyText to return the edited text.
  Lastly the delegate must support optional text wrapping. When text wrapping is enabled, the delegate must automatically wrap lines within the text area.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayDialog()` Display the scrolling dialog (i.e., make the dialog visible).
    `java.lang.String` | `getBodyText()` Return the text (possibly edited by the user) contained within the scrolling text area.
    `void` | `hideDialog()` Hide the scrolling dialog (i.e., make the dialog invisible).
    `void` | `setBodyText(java.lang.String astrBodyText)` Set the contents of the scrolling text area.
    `void` | `setCopyButtonVisible(boolean abCopyVisible)` Enable the display of an optional "Copy" button that will cause the system to copy the contents of the text area to the system clipboard.
    `void` | `setEditable(boolean abEditable)` Set the editability of the scrolling text area.
    `void` | `setHeaderText(java.lang.String astrHeaderText)` Set the header to be displayed above the scrolling text area.
    `void` | `setTextWrap(boolean abTextWrap)` Enable or disable automatic text wrapping.
    `void` | `setTitleText(java.lang.String astrTitleText)` Set the text to be displayed in the title area of the dialog window.

- - ### Method Detail

    - #### displayDialog

          void displayDialog()

      Display the scrolling dialog (i.e., make the dialog visible).

    - #### getBodyText

          java.lang.String getBodyText()

      Return the text (possibly edited by the user) contained within the scrolling text area.
      Returns:
        String contents of the scrolling text area.

    - #### hideDialog

          void hideDialog()

      Hide the scrolling dialog (i.e., make the dialog invisible).

    - #### setBodyText

          void setBodyText(java.lang.String astrBodyText)

      Set the contents of the scrolling text area.
      Parameters:
        `aBodyText` - Text to be displayed in scrolling text area.

    - #### setCopyButtonVisible

          void setCopyButtonVisible(boolean abCopyVisible)

      Enable the display of an optional "Copy" button that will cause the system to copy the contents of the text area to the system clipboard.
      Parameters:
        `abCopyVisible` - `true` to enable (and make visible) "Copy" button.

    - #### setEditable

          void setEditable(boolean abEditable)

      Set the editability of the scrolling text area.
      Parameters:
        `abEditable` - `true` to allow users to edit the text area.

    - #### setHeaderText

          void setHeaderText(java.lang.String astrHeaderText)

      Set the header to be displayed above the scrolling text area. The header text may contain carriage returns for multi-line display.
      Parameters:
        `astrHeaderText` - Header text to be displayed above the scrolling text area.

    - #### setTextWrap

          void setTextWrap(boolean abTextWrap)

      Enable or disable automatic text wrapping.
      Parameters:
        `abTextWrap` - `true` to enable automatic text wrapping.

    - #### setTitleText

          void setTitleText(java.lang.String astrTitleText)

      Set the text to be displayed in the title area of the dialog window.
      Parameters:
        `astrTitleText` - Text to be displayed in the title area of the dialog window.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.